%define dist .el5

%define gnome_pilot_version 2.0.13

### Abstract ###

Name: gnome-pilot-conduits
Version: 2.0.13
Release: 7%{?dist}.XOS.1
License: LGPL
Group: Applications/Communications
Summary: Additional conduits for gnome-pilot
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}
ExcludeArch: s390 s390x

### Patches ###

Patch1: gnome-pilot-conduits-2.0.10-lib64.patch
Patch2: gnome-pilot-conduits-2.0.13-port-to-pilot-link-0.12.patch

### Dependencies ###

Prereq: /sbin/install-info

Requires: gnome-pilot >= %{gnome_pilot_version}

### Build Dependencies ###

BuildRequires: gettext
BuildRequires: gnome-pilot-devel >= %{gnome_pilot_version}
BuildRequires: libtool

%description
gnome-pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>.

This is a collection of additional conduits for gnome-pilot, it
currently features
 - MAL conduit
 - Time synchronization conduit
 - Email conduit
 - Expense conduit
 - Memo file conduit

%prep
%setup -q

%patch1 -p1 -b .lib64
#%patch2 -p1 -b .port-to-pilot-link-0.12

%build
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

mv $RPM_BUILD_ROOT/%{_datadir}/gnome-pilot/conduits/*.conduit \
   $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-pilot/conduits/*.{la,a}
rm -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/avantgo.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/gnome-pilot/conduits/*.conduit
%{_libdir}/gnome-pilot/conduits/*.so

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 2.0.13-7.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on gnome-pilot-conduits-2.0.13-7.el5.src.rpm
  (md5sum of original source rpm: f4cb8bf7b50c0e51b2ec2a52d8917bcd).
- Include "dist" macro with value ".el5" to match the original release number.

* Tue Nov 07 2006 Matthew Barnes <mbarnes@redhat.com> - 2.0.13-7.el5
- Move conduit files under $(libdir) (RH bug #214409).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0.13-6.1
- rebuild

* Thu Jun 08 2006 Jesse Keating <jkeating@redhat.com> 2.0.13-6
- Add missing BR gettext, libtool

* Wed Mar 29 2006 Than Ngo <than@redhat.com> 2.0.13-4 
- rebuilt against pilot-link-0.11.8
- don't apply gnome-pilot-conduits-2.0.13-port-to-pilot-link-0.12.patch

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.13-3.FC5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.13-3.FC5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 11 2006 David Malcolm <dmalcolm@redhat.com> - 2.0.13-3.FC5
- extend patch 2 to handle a missing fix in the email conduit, renaming it from
  gnome-pilot-conduits-2.0.12-port-to-pilot-link-0.12.patch to
  gnome-pilot-conduits-2.0.13-port-to-pilot-link-0.12.patch in the process 
  (#159165) 

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Oct 24 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.13-2.FC5
- fixed gnome_pilot_version macro so that it is correctly substituted at build
  time (#169276)

* Mon Apr 11 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.13-1
- 2.0.13
- require gnome-pilot 2.0.13
- Removed warning-fix patch (now upstream)

* Tue Mar 15 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.12-5
- added patch to get it to build against pilot-link-0.12 API

* Mon Mar 14 2005 David Malcolm <dmalcolm@redhat.com> - 2.0.12-4
- rebuilt against pilot-link-0.12

* Tue Sep 21 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.12-3
- added fix for compile-time warnings (bugzilla 114282)

* Mon Sep 20 2004 David Malcolm <dmalcolm@redhat.com>
- rebuilt

* Wed Sep 15 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.12-1
- update upstream tarball and dependency on gnome-pilot from 2.0.11 to 2.0.12 

* Fri Aug 27 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.11-1
- update upstream tarball from 2.0.10 to 2.0.11
- added more detailed version requirements on gnome-pilot/gnome-pilot-devel as imposed by the configuration script, version 2.0.11 is now required, rather than just 2.0

* Thu Aug 19 2004 David Malcolm <dmalcolm@redhat.com> - 2.0.10-4
- Added patch by Justin M. Forbes <64bit_fedora@comcast.net> for proper libdir in .conduit files (#121268)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jul 17 2003 Jeremy Katz <katzj@redhat.com> 2.0.10-1
- 2.0.10

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 2.0.9-1
- Initial build for Red Hat Linux, clean up the spec file

* Sun Mar 5 2000 Eskil Heyn Olsen <deity@eskil.dk>
- redid the package from mal-conduit to gnome-pilot-conduits

* Sun Dec 5 1999 Eskil Heyn Olsen <deity@eskil.dk>
- Created the .spec file
